@mixin font-face($fontFamily, $path, $fileName, $svgLabel, $fontWeight: normal, $fontStyle: normal) {
	@font-face {
		font-family: $fontFamily;

		src: url('#{$path + $fileName}.eot');
		src: url('#{$path + $fileName}.eot?#iefix') format('embedded-opentype'),
		url('#{$path + $fileName}.woff') format('woff'),
		url('#{$path + $fileName}.ttf') format('truetype'),
		url('#{$path + $fileName}.svg##{$svgLabel}') format('svg');

		font-weight: $fontWeight;
		font-style: $fontStyle;
	}
}

// Athela
$athela: 'Athela Bold';

@include font-face($athela,   'fonts/Athela/', 'AthelasBold', 'AthelasBold');

// BebasNeue
$bn-r: 'BebasNeue Regular';
$bn-b: 'BebasNeue Book';
$bn-l: 'BebasNeue Light';

@include font-face($bn-r,   'fonts/BebasNeue/', 'BebasNeueRegular', 'BebasNeueRegular');
@include font-face($bn-b,   'fonts/BebasNeue/', 'BebasNeueBook', 'BebasNeueBook');
@include font-face($bn-l,   'fonts/BebasNeue/', 'BebasNeueLight', 'BebasNeueLight');

// SourceSansPro
$ssp-r: 'SourceSansPro Regular';
$ssp-b: 'SourceSansPro Black';
$ssp-l: 'SourceSansPro Light';
$ssp-s: 'SourceSansPro Semibold';

@include font-face($ssp-r,   'fonts/SourceSansPro/', 'SourceSansPro-Regular', 'SourceSansPro-Regular');
@include font-face($ssp-b,   'fonts/SourceSansPro/', 'SourceSansPro-Black', 'SourceSansPro-Black');
@include font-face($ssp-l,   'fonts/SourceSansPro/', 'SourceSansPro-Light', 'SourceSansPro-Light');
@include font-face($ssp-s,   'fonts/SourceSansPro/', 'SourceSansPro-Semibold', 'SourceSansPro-Semibold');
